Recommendations - Get Recommendations
Get recommendations.
Gets the list of recommendations for the tenant.
GET https://api.powerplatform.com/analytics/advisorRecommendations?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string |
The API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
|
| 404 Not Found |
Not Found |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Advisor |
Information for a recommendation |
|
Advisor |
Details for a recommendation |
|
Advisor |
Paged list of recommendations |
AdvisorRecommendation
Information for a recommendation
| Name | Type | Description |
|---|---|---|
| details |
Details for a recommendation |
|
| scenario |
string |
The recommendation name. |
AdvisorRecommendationDetails
Details for a recommendation
| Name | Type | Description |
|---|---|---|
| expectedNextRefreshTimestamp |
string (date-time) |
Time when the recommendation will be refreshed again |
| lastRefreshedTimestamp |
string (date-time) |
Time when the recommendation was refreshed |
| resourceCount |
integer (int32) |
The number of resources |
AdvisorRecommendationIEnumerableResponseWithContinuation
Paged list of recommendations
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
Link to get the next page of recommendations |
| value |
List of recommendations |